GalertEscalationAlertType (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.galerts.server.session.GalertEscalationAlertType class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.galerts.server.session
Class GalertEscalationAlertType

    java.lang.Object
      org.hyperic.util.HypericEnum
          org.hyperic.hq.escalation.server.session.EscalationAlertType
              org.hyperic.hq.galerts.server.session.GalertEscalationAlertType

All Implemented Interfaces:
  java.io.Serializable, JSON

    public final class GalertEscalationAlertType

extends EscalationAlertType

See Also:
  Serialized Form

Field Summary
`static GalertEscalationAlertType` | `GALERT`

Method Summary
`protected void` | `changeAlertState(Escalatable esc, AuthzSubject who, EscalationStateChange newState)` Change the state of an alert.
`PerformsEscalations` | `findDefinition(java.lang.Integer defId)` Find an alert definition (or something that performs escalations) given its id.
`Escalatable` | `findEscalatable(java.lang.Integer id)` Find an escalatable (alert) given its ID.
`protected java.lang.String` | `getLastFixedNote(PerformsEscalations def)` Return the note from the last alert instance where the alert was fixed.
`protected java.util.Collection` | `getPerformersOfEscalation(Escalation escalation)` Returns a Collection of `PerformsEscalations`, which are using the passed escalation.
`protected void` | `logActionDetails(Escalatable esc, Action action, java.lang.String detail, AuthzSubject subject)` Log the result of the execution of an action.
`protected void` | `setEscalation(java.lang.Integer defId, Escalation escalation)` Set the escalation for something which can ..

Methods inherited from class org.hyperic.hq.escalation.server.session.EscalationAlertType
`escalationInUse, findByCode, getAll`

Methods inherited from class org.hyperic.util.HypericEnum
`findByCode, findByDescription, getAll, getByCode, getCode, getDescription, getJsonName, getValue, toJSON, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### GALERT

    public static final GalertEscalationAlertType GALERT

Method Detail

### findEscalatable

    public Escalatable findEscalatable(java.lang.Integer id)

  Description copied from class: `EscalationAlertType`
  Find an escalatable (alert) given its ID.

  Specified by:
    `findEscalatable` in class `EscalationAlertType`

### findDefinition

    public PerformsEscalations findDefinition(java.lang.Integer defId)

  Description copied from class: `EscalationAlertType`
  Find an alert definition (or something that performs escalations) given its id.

  Specified by:
    `findDefinition` in class `EscalationAlertType`

### setEscalation

    protected void setEscalation(java.lang.Integer defId,
                                 Escalation escalation)

  Description copied from class: `EscalationAlertType`
  Set the escalation for something which can .. have escalations.. ;-)

  Specified by:
    `setEscalation` in class `EscalationAlertType`
  Parameters:
    `defId` - ID of the definition to set the escalation for

### changeAlertState

    protected void changeAlertState(Escalatable esc,
                                    AuthzSubject who,
                                    EscalationStateChange newState)

  Description copied from class: `EscalationAlertType`
  Change the state of an alert. This method should simply change the state, log it & not much else.

  Specified by:
    `changeAlertState` in class `EscalationAlertType`
  Parameters:
    `esc` - The escalatable (alert) to change state of
    `who` - Person changing the state
    `newState` - New state

### logActionDetails

    protected void logActionDetails(Escalatable esc,
                                    Action action,
                                    java.lang.String detail,
                                    AuthzSubject subject)

  Description copied from class: `EscalationAlertType`
  Log the result of the execution of an action. The escalation system executes actions as part of the escalation chain. Each action spits out some result text. This method should put that result text into the subsytem's log objects.

  Specified by:
    `logActionDetails` in class `EscalationAlertType`

### getLastFixedNote

    protected java.lang.String getLastFixedNote(PerformsEscalations def)

  Description copied from class: `EscalationAlertType`
  Return the note from the last alert instance where the alert was fixed.

  Specified by:
    `getLastFixedNote` in class `EscalationAlertType`

### getPerformersOfEscalation

    protected java.util.Collection getPerformersOfEscalation(Escalation escalation)

  Description copied from class: `EscalationAlertType`
  Returns a Collection of `PerformsEscalations`, which are using the passed escalation.

  Specified by:
    `getPerformersOfEscalation` in class `EscalationAlertType`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.